
From: Mauro Carvalho Chehab <mchehab@brturbo.com.br>

This patch is necessary to correct I2C detect after normal_i2c_range
removal in gregkh-i2c-i2c-address_range_removal.patch.

Signed-off-by: Mauro Carvalho Chehab <mchehab@brturbo.com.br>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/media/video/bt832.c             |    4 ++--
 drivers/media/video/msp3400.c           |    1 -
 drivers/media/video/saa7134/saa6752hs.c |    1 -
 drivers/media/video/tda7432.c           |    1 -
 drivers/media/video/tda9875.c           |    1 -
 drivers/media/video/tda9887.c           |    1 -
 drivers/media/video/tuner-core.c        |   12 ++++--------
 drivers/media/video/tvaudio.c           |    1 -
 drivers/media/video/tveeprom.c          |    1 -
 9 files changed, 6 insertions(+), 17 deletions(-)

diff -puN drivers/media/video/bt832.c~gregkh-i2c-i2c-address_range_removal-v4l-fix drivers/media/video/bt832.c
--- 25/drivers/media/video/bt832.c~gregkh-i2c-i2c-address_range_removal-v4l-fix	2005-06-18 02:55:44.000000000 -0700
+++ 25-akpm/drivers/media/video/bt832.c	2005-06-18 02:55:44.000000000 -0700
@@ -39,8 +39,8 @@
 MODULE_LICENSE("GPL");
 
 /* Addresses to scan */
-static unsigned short normal_i2c[] = {I2C_CLIENT_END};
-static unsigned short normal_i2c_range[] = {I2C_BT832_ALT1>>1,I2C_BT832_ALT2>>1,I2C_CLIENT_END};
+static unsigned short normal_i2c[] = { I2C_BT832_ALT1>>1, I2C_BT832_ALT2>>1,
+				       I2C_CLIENT_END };
 I2C_CLIENT_INSMOD;
 
 /* ---------------------------------------------------------------------- */
diff -puN drivers/media/video/msp3400.c~gregkh-i2c-i2c-address_range_removal-v4l-fix drivers/media/video/msp3400.c
--- 25/drivers/media/video/msp3400.c~gregkh-i2c-i2c-address_range_removal-v4l-fix	2005-06-18 02:55:44.000000000 -0700
+++ 25-akpm/drivers/media/video/msp3400.c	2005-06-18 02:55:44.000000000 -0700
@@ -147,7 +147,6 @@ static unsigned short normal_i2c[] = {
 	I2C_MSP3400C_ALT  >> 1,
 	I2C_CLIENT_END
 };
-static unsigned short normal_i2c_range[] = {I2C_CLIENT_END,I2C_CLIENT_END};
 I2C_CLIENT_INSMOD;
 
 /* ----------------------------------------------------------------------- */
diff -puN drivers/media/video/saa7134/saa6752hs.c~gregkh-i2c-i2c-address_range_removal-v4l-fix drivers/media/video/saa7134/saa6752hs.c
--- 25/drivers/media/video/saa7134/saa6752hs.c~gregkh-i2c-i2c-address_range_removal-v4l-fix	2005-06-18 02:55:44.000000000 -0700
+++ 25-akpm/drivers/media/video/saa7134/saa6752hs.c	2005-06-18 02:55:44.000000000 -0700
@@ -22,7 +22,6 @@
 
 /* Addresses to scan */
 static unsigned short normal_i2c[] = {0x20, I2C_CLIENT_END};
-static unsigned short normal_i2c_range[] = {I2C_CLIENT_END};
 I2C_CLIENT_INSMOD;
 
 MODULE_DESCRIPTION("device driver for saa6752hs MPEG2 encoder");
diff -puN drivers/media/video/tda7432.c~gregkh-i2c-i2c-address_range_removal-v4l-fix drivers/media/video/tda7432.c
--- 25/drivers/media/video/tda7432.c~gregkh-i2c-i2c-address_range_removal-v4l-fix	2005-06-18 02:55:44.000000000 -0700
+++ 25-akpm/drivers/media/video/tda7432.c	2005-06-18 02:55:44.000000000 -0700
@@ -74,7 +74,6 @@ static unsigned short normal_i2c[] = {
 	I2C_TDA7432 >> 1,
 	I2C_CLIENT_END,
 };
-static unsigned short normal_i2c_range[] = { I2C_CLIENT_END, I2C_CLIENT_END };
 I2C_CLIENT_INSMOD;
 
 /* Structure of address and subaddresses for the tda7432 */
diff -puN drivers/media/video/tda9875.c~gregkh-i2c-i2c-address_range_removal-v4l-fix drivers/media/video/tda9875.c
--- 25/drivers/media/video/tda9875.c~gregkh-i2c-i2c-address_range_removal-v4l-fix	2005-06-18 02:55:44.000000000 -0700
+++ 25-akpm/drivers/media/video/tda9875.c	2005-06-18 02:55:44.000000000 -0700
@@ -44,7 +44,6 @@ static unsigned short normal_i2c[] =  {
     I2C_TDA9875 >> 1,
     I2C_CLIENT_END
 };
-static unsigned short normal_i2c_range[] = {I2C_CLIENT_END};
 I2C_CLIENT_INSMOD;
 
 /* This is a superset of the TDA9875 */
diff -puN drivers/media/video/tda9887.c~gregkh-i2c-i2c-address_range_removal-v4l-fix drivers/media/video/tda9887.c
--- 25/drivers/media/video/tda9887.c~gregkh-i2c-i2c-address_range_removal-v4l-fix	2005-06-18 02:55:44.000000000 -0700
+++ 25-akpm/drivers/media/video/tda9887.c	2005-06-18 02:55:44.000000000 -0700
@@ -33,7 +33,6 @@ static unsigned short normal_i2c[] = {
 	0x96 >>1,
 	I2C_CLIENT_END,
 };
-static unsigned short normal_i2c_range[] = {I2C_CLIENT_END,I2C_CLIENT_END};
 I2C_CLIENT_INSMOD;
 
 /* insmod options */
diff -puN drivers/media/video/tuner-core.c~gregkh-i2c-i2c-address_range_removal-v4l-fix drivers/media/video/tuner-core.c
--- 25/drivers/media/video/tuner-core.c~gregkh-i2c-i2c-address_range_removal-v4l-fix	2005-06-18 02:55:44.000000000 -0700
+++ 25-akpm/drivers/media/video/tuner-core.c	2005-06-18 02:55:44.000000000 -0700
@@ -33,13 +33,10 @@
 /* standard i2c insmod options */
 static unsigned short normal_i2c[] = {
 	0x4b, /* tda8290 */
+	0x60, 0x61, 0x62, 0x63, 0x64, 0x65, 0x66, 0x67,
+	0x68, 0x69, 0x6a, 0x6b, 0x6c, 0x6d, 0x6e, 0x6f,
 	I2C_CLIENT_END
 };
-static unsigned short normal_i2c_range[] = {
-	0x60, 0x6f,
-	I2C_CLIENT_END
-};
-I2C_CLIENT_INSMOD;
 
 /* insmod options used at init time => read/only */
 static unsigned int addr  =  0;
@@ -322,9 +319,8 @@ static int tuner_attach(struct i2c_adapt
 static int tuner_probe(struct i2c_adapter *adap)
 {
 	if (0 != addr) {
-		normal_i2c[0]       = addr;
-		normal_i2c_range[0] = addr;
-		normal_i2c_range[1] = addr;
+		normal_i2c[0] = addr;
+		normal_i2c[1] = I2C_CLIENT_END;
 	}
 	this_adap = 0;
 
diff -puN drivers/media/video/tvaudio.c~gregkh-i2c-i2c-address_range_removal-v4l-fix drivers/media/video/tvaudio.c
--- 25/drivers/media/video/tvaudio.c~gregkh-i2c-i2c-address_range_removal-v4l-fix	2005-06-18 02:55:44.000000000 -0700
+++ 25-akpm/drivers/media/video/tvaudio.c	2005-06-18 02:55:44.000000000 -0700
@@ -148,7 +148,6 @@ static unsigned short normal_i2c[] = {
 	I2C_TDA9874   >> 1,
 	I2C_PIC16C54  >> 1,
 	I2C_CLIENT_END };
-static unsigned short normal_i2c_range[2] = { I2C_CLIENT_END, I2C_CLIENT_END };
 I2C_CLIENT_INSMOD;
 
 static struct i2c_driver driver;
diff -puN drivers/media/video/tveeprom.c~gregkh-i2c-i2c-address_range_removal-v4l-fix drivers/media/video/tveeprom.c
--- 25/drivers/media/video/tveeprom.c~gregkh-i2c-i2c-address_range_removal-v4l-fix	2005-06-18 02:55:44.000000000 -0700
+++ 25-akpm/drivers/media/video/tveeprom.c	2005-06-18 02:55:44.000000000 -0700
@@ -482,7 +482,6 @@ static unsigned short normal_i2c[] = {
 	0xa0 >> 1,
 	I2C_CLIENT_END,
 };
-static unsigned short normal_i2c_range[] = { I2C_CLIENT_END };
 I2C_CLIENT_INSMOD;
 
 struct i2c_driver i2c_driver_tveeprom;
_
